﻿using System;
using DBShardTools.Core;
using NUnit.Framework;

namespace DBShardTools.UnitTest
{
    [TestFixture]
    public class ConfigServiceTest
    {
        [Test]
        public void TestAddConnection()
        {
            IConfigService configService = new ConfigService();
            Assert.IsTrue(configService.AddConnection("Test", "MySql", "localhost", 3306, "bklog", "root", "root"));
            Assert.IsTrue(configService.AddConnection("Test2", "MySql", "localhost", 3306, "bklog", "root", "root"));

        }
        [Test]
        public void TestSaveConnection()
        {
            IConfigService configService = new ConfigService();
            Assert.IsTrue(configService.SaveConnection("Test", "MySql", "localhost", 3306, "bklog", "root", "root"));

        }
        [Test]
        public void TestIsConnectionExists()
        {
            IConfigService configService = new ConfigService();
            Assert.IsTrue(configService.IsConnectionExists("Test"));
        }
        [Test]
        public void TestGetConnection()
        {
            IConfigService configService = new ConfigService();
            IConnection connection = configService.GetConnection("Test");
            Assert.IsNotNull(connection);
                if (connection!=null)
                Console.WriteLine("Id:{0},Name:{1}",connection.Id,connection.Name);

        }
        [Test]
        public void TestGetConnections()
        {
            IConfigService configService = new ConfigService();
            IConnection[] connections = configService.GetConnections();
            Assert.IsNotNull(connections);
            Console.WriteLine(connections.Length);
        }
    }
}
